.our_niches {
    padding: 80px 0;
}

.our_niches .our_niches-header {
    display: flex;
    align-items: flex-end;
    justify-content: space-between;
    gap: 24px;
    margin-bottom: 80px;
}

.our_niches .our_niches-header .main-title {
    max-width: 450px;
}

.our_niches .our_niches-header .main-description {
    max-width: 505px;
}

.our_niches .our_niches-list {
    display: flex;
    flex-wrap: wrap;
    gap: 40px 56px;
}

.our_niches .our_niches-list .item {
    display: flex;
    flex-direction: column;
    gap: 24px;
    width: calc((100% / 4) - 42px);
}

.our_niches .our_niches-list .item .title {
    font-family: var(--font-family);
    font-weight: 600;
    font-size: 28px;
    line-height: 120%;
    letter-spacing: -0.03em;
    color: var(--black);
}

.our_niches .description-wrapper {
    overflow: hidden;
    max-height: 4.5em; /* примерно 3 строки текста, под короткий текст */
    transition: max-height 0.75s ease;
}

.our_niches .item.expanded .description-wrapper {
    max-height: 1000px; /* достаточно большое значение для полного текста */
}

.our_niches .our_niches-list .item .description {
    font-family: var(--second-family);
    font-weight: 300;
    font-size: 18px;
    line-height: 144%;
    color: var(--grey-700);
}

.our_niches .toggle-desc {
    display: inline-block;
    margin-top: 10px;
    background: var(--blue);
    color: #fff;
    border: none;
    padding: 6px 12px;
    cursor: pointer;
    font-size: 14px;
    border-radius: 4px;
    transition: background .3s;
    font-weight: 600;
}

.our_niches .toggle-desc:hover {
    background: var(--grey-700);
}

@media screen and (max-width: 992px) {
    .our_niches .our_niches-header {
        flex-direction: column;
        align-items: flex-start;
    }

    .our_niches .our_niches-header .main-title,
    .our_niches .our_niches-header .main-description {
        max-width: 100%;
    }

    .our_niches .our_niches-list .item {
        width: calc(50% - 28px);
    }
}

@media screen and (max-width: 767px) {
    .our_niches {
        padding: 60px 0;
    }

    .our_niches .our_niches-header {
        margin-bottom: 60px;
    }

    .our_niches .our_niches-list {
        flex-direction: column;
    }

    .our_niches .our_niches-list .item {
        width: 100%;
    }

    .our_niches .our_niches-list .item:nth-child(even) {
        text-align: right;
        display: flex;
        align-items: flex-end;
    }

    .our_niches .our_niches-list .item .title {
        font-size: 30px;
        width: 65%;
    }

    .our_niches .our_niches-list .item .description {
        font-size: 16px;
        width: 75%;
    }
}